clf
clear
hold on
gpj=load('pgdata.csv');
dpj=load('densitypg.csv');
E=gpj(:,2);
N=gpj (:,3);
D=dpj(:,3);
subplot (2,2,1)
epj=plot(E,D, 'bo');
[rho,pval]=corrcoef(E,D);
hold on
p1=polyfit (E, D,1)
y1=polyval (p1,E)
plot (E, y1, '-r', 'LineWidth', 2)
xlabel 'easting [m] 33 UTMz'
ylabel 'density [g/m^3] 33 UTMz'
hold on
legend(sprintf('Field Data,r=%5.2f, pval=%5.3f',rho(1,2),pval(1,2)))

subplot (2,2,2)
npj=plot (N,D,'ro');
[rho1,pval1]=corrcoef(N,D);
xlabel 'northing [m] 33 UTMz'
ylabel 'density [g/m^3] 33 UTMz'
legend(sprintf('Field Data,r=%5.3f, pval=%4.2f',rho1(1,2),pval1(1,2)))
hold on
p=polyfit (N, D,1)
y=polyval (p,N)
plot (N, y, '-r', 'LineWidth', 2)

subplot (2,2,3)
p=scatter (E,N,D*100,D,"filled");
hold on
xlabel 'Easting [m]'
ylabel 'Northing [m]'
hold on
colormap(cool)
colorbar



sgtitle('density trends based on gps in pino giordana')