clf
hold on
gss=load('santaseverinagps.csv');
dss=load('ssdensity.csv');
sselev=gss(:,5);
DS=dss(:,4);
subplot(2,2,1);
ess=plot(sselev,DS, 'bo');
[rho,pval]=corrcoef(sselev,DS)
hold on
p=polyfit (sselev, DS,1)
y=polyval (p,sselev);
p=plot (sselev, y, '-r', 'LineWidth', 2)
%r=.43
legend ('FieldData',sprintf('r=%3.2f, pval=%3.2f',rho(2,1), pval (2,1)), 'FontSize', 14)
xlabel ('elevation [m]')
ylabel ('density [g/mL]')

subplot (2,2,2)
ah(2)=subplot(2,2,2);
[a,b]=hist(DS);
b1=bar(b,a,1);
b1.FaceColor=[0.8500 0.3250 0.0980];
xlabel('density [m]')
ylabel('frequency')

sgtitle ('changes in density based on elevation')