clf
clear
hold on
gss=load('santaseverinagps.csv');
dss=load('ssdensity.csv');
ES=gss(:,3);
NS=gss (:,4);
DS=dss(:,4);

subplot (2,2,1)
ess=plot(ES,DS, 'bo');
[rho,pval]=corrcoef(ES,DS);
hold on
p=polyfit (ES, DS,1)
y=polyval (p,ES)
plot (ES, y, '-k', 'LineWidth', 2)
xlabel 'easting [m] 33 UTMz'
ylabel 'density [g/m^3] 33 UTMz'
hold on
legend(sprintf('Field Data,r=%5.2f, pval=%5.3f',rho(1,2),pval(1,2)))

subplot (2,2,2)
nss=plot (NS,DS,'ob');
[rho1,pval1]=corrcoef(NS,DS);
xlabel 'northing [m] 33 UTMz'
ylabel 'density [g/m^3] 33 UTMz'
legend(sprintf('Field Data,r=%5.3f, pval=%4.2f',rho1(1,2),pval1(1,2)))
hold on
p1=polyfit (NS, DS,1)
y1=polyval (p1,NS)
plot (NS, y1, '-k', 'LineWidth', 2)

subplot (2,2,3)
scatter (ES,NS,DS*100,DS,"filled");
hold on
xlabel 'Easting [m]'
ylabel 'Northing [m]'
hold on
colormap(cool)
colorbar

sgtitle('density trends based on gps in santa severina')