clear;
clf;

D = readtable('csv_lab_files/santasevgps.csv');

%plotting control points

%{ all of the following points were the same so data was messed up
minE=min(D{:,4});
minN=min(D{:,5});
D{:,4} = D{:,4} - minE;
D{:,5} = D{:,5} - minN;
l = 10;
figure(4)

clf;
for i=1:74
    xm = D{i,4};
    ym = D{i,5};
%     p = scatter(xm,ym,'bo','DisplayName',sprintf('Tree %i',i),'MarkerSize',0.01*D{i,4}); 
    p = scatter(xm,ym,[],D{i,7},'filled','DisplayName',sprintf('Tree %i',i)); 
    hold on
end
hold on
%I want to set the height of each tree as their respective colors on a
%color map
c = colorbar;
% set(c,'Ytick', a)
% h= colormap;

%plot(D{74,4},D{74,5},'rx','MarkerSize',45,'DisplayName','CP1')
%plot(D{75,4},D{75,5},'rx','MarkerSize',45,'DisplayName','CP4')
%plotting evelyn control points
%plot(ecp{:,1},ecp{:,4},'x')
mindE=mean(D{:,4});
mindN=mean(D{:,5});
% The means of the northings for this CP
sindE=std(D{:,4});

sindN=std(D{:,5});
xlabel(sprintf('easting [m] from %i in UTM zone 33S',round(minE)))
ylabel(sprintf('northing [m] from %i in UTM zone 33S',round(minN)))
title(sprintf('Santa Severina GPS data for all experiments'))
widn = 100;

%xlim([-widn max(D{:,4})+widn]);
%ylim([-widn max(D{:,5})+widn])
grid on
%ctisange ttisese colsymbs to make ttisem all different
set(gca,'TickDir','out','TickLength',[0.04 0.045]/4)
hold off
% Add ttisis to make ttise print

saveas(gcf,['santasevsoilmap', '.jpg'])



