clear;
clf;


pg = readtable('csv_lab_files/pinodatareal.csv');
en = readtable('csv_lab_files/eltoredatareal.csv');
ss = readtable('csv_lab_files/santasevgps.csv');

[pg_maxh, pg_maxi] = max(pg{:,5});
[pg_minh, pg_mini] = min(pg{:,5});

[en_maxh, en_maxi] = max(en{:,5});
[en_minh, en_mini] = min(en{:,5});

[ss_maxh, ss_maxi] = max(ss{:,6});
[ss_minh, ss_mini] = min(ss{:,6});

pg_xchange = pg{pg_maxi,2}-pg{pg_mini,2};
pg_ychange = pg{pg_maxi,3}-pg{pg_mini,3};

en_xchange = en{en_maxi,2}-en{en_mini,2};
en_ychange = en{en_maxi,3}-en{en_mini,3};

ss_xchange = ss{ss_maxi,4}-ss{ss_mini,4};
ss_ychange = ss{ss_maxi,5}-ss{ss_mini,5};

pgdist = sqrt((pg_xchange*pg_xchange)+(pg_ychange*pg_ychange));
endist = sqrt((en_xchange*en_xchange)+(en_ychange*en_ychange));
ssdist = sqrt((ss_xchange*ss_xchange)+(ss_ychange*ss_ychange));


pg_avgs = (pg_maxh-pg_minh)/pgdist;
en_avgs = (en_maxh-en_minh)/endist;
ss_avgs = (ss_maxh-ss_minh)/ssdist;