clf
hold on
ge=load('enotregps.csv');
%switch to enotre gps
de=load('densitye.csv');
eE=ge(:,1);
eN=ge(:,2);
eD=de(:,3);
subplot (2,2,1)
ee=plot(eE,eD, 'bo');
[rho,pval]=corrcoef(eE,eD)
hold on
%r=-.3719
p=polyfit (eE, eD,1)
y=polyval (p,eE);
p=plot (eE, y, '-r', 'LineWidth', 2)
%r=.43
legend ('FieldData',sprintf('r=%3.2f, pval=%3.2f',rho(2,1), pval (2,1)), 'FontSize', 14)
xlabel ('elevation [m]')
ylabel ('density [g/mL]')
title ('changes in density based on easting')

subplot (2,2,2)
ne=plot (eN,eD,'ro');
[rho2,pval2]=corrcoef(eN,eD)
xlim ([4.3286*10^6 4.3288*10^6])
%r=-.0977
hold on
p=polyfit (eN, eD,1)
y=polyval (p,eN);
plot (eN, y, '-r', 'LineWidth', 2)
legend ('FieldData',sprintf('rho2=%3.2f, pval2=%3.2f',rho2(2,1), pval2 (2,1)), 'FontSize', 14)
xlabel ('northing [m] in UTM zone 33')
ylabel ('density [g/mL]')
title ('changes in density based on northing')

subplot (2,2,3);
p=scatter (eE,eN,eD*100,eD,"filled");
hold on
ylim ([4.3286*10^6 4.3288*10^6])
xlabel 'easting [m]'
ylabel 'northing [m]'
%[r,p]=corrcoef(ne, E)
hold on
colormap(cool)
colorbar

sgtitle ('trends in density based on gps location in enotre','FontSize', 14)