clear
clf
hold on
ge=load('enotregps.csv');
de=load('densitye.csv');
eleve=ge(:,3);
eD=de(:,3);
subplot(2,2,1)
ee=plot(eleve,eD, 'bo');
[rho,pval]=corrcoef(eleve,eD)
hold on
p=polyfit (eleve, eD,1)
y=polyval (p,eleve);
plot (eleve, y, '-r', 'LineWidth', 2)
xlabel('elevation [m]')
ylabel('density [g/mL]')
legs=legend(sprintf('Densities, rho=%5.2f, pval=%5.2f',...
    rho(1,2),pval(1,2)))

ah(2)=subplot(2,2,2);
[a,b]=hist(eD);
b1=bar(b,a,1);
b1.FaceColor='k';
xlabel('density [m]')


sgtitle('density and elevation trends in pino giordana')