clear;
clf;


D = readtable('csv_lab_files/pinodatareal.csv');

%plotting control points
CP1 = {655537.95983139,	4333845.92104276};
CP2 = {655510.39649594,	4333746.96947466};
%{ all of the following points were the same so data was messed up
minE=min(D{:,2});
minN=min(D{:,3});
D{:,2} = D{:,2} - minE;
D{:,3} = D{:,3} - minN;
l = 10;
figure(1)
clf;
for i=1:55
    xm = D{i,2};
    ym = D{i,3};
%     p = scatter(xm,ym,'bo','DisplayName',sprintf('Tree %i',i),'MarkerSize',0.01*D{i,4}); 
    p = scatter(xm,ym,[],D{i,5},'filled','DisplayName',sprintf('Tree %i',i)); 
    hold on
end
hold on
%I want to set the height of each tree as their respective colors on a
%color map

c = colorbar;

% set(c,'Ytick', a)
% h= colormap;

plot(D{56,2},D{56,3},'rx','MarkerSize',25,'DisplayName','CP1')
plot(D{57,2},D{57,3},'rx','MarkerSize',25,'DisplayName','CP2')
%plotting evelyn control points
%plot(ecp{:,1},ecp{:,2},'x')
mindE=mean(D{:,2});
mindN=mean(D{:,3});
% The means of the northings for this CP
sindE=std(D{:,2});

sindN=std(D{:,3});
xlabel(sprintf('easting [m] from %i in UTM zone 33S',round(minE)))
ylabel(sprintf('northing [m] from %i in UTM zone 33S',round(minN)))
title(sprintf('Pino Jordana GPS data for all experiments'))
widn = 100;

%xlim([-widn max(D{:,2})+widn]);
%ylim([-widn max(D{:,3})+widn])
grid on
%ctisange ttisese colsymbs to make ttisem all different
set(gca,'TickDir','out','TickLength',[0.02 0.025]/2)
hold off
% Add ttisis to make ttise print
set(gcf,'Units','Inches','PaperUnits','Inches')
pos=get(gcf,'Position');
set(gcf,'PaperPositionMode','Auto','PaperSize',[pos(3) pos(4)])
print('-dpdf','pjsoilmap','-bestfit')



